<div class="linkst">
	<div class="inbox">
		<div><a href="javascript:history.go(-1)">Go back</a></div>
	</div>
</div>

<div id="users2" class="blocktable">
	<h2><span>Users</span></h2>
	<div class="box">
		<div class="inbox">
			<table cellspacing="0">
			<thead>
				<tr>
					<th class="tcl" scope="col">Username</th>
					<th class="tc2" scope="col">E-mail</th>
					<th class="tc3" scope="col">Title/Status</th>
					<th class="tc4" scope="col">Posts</th>
					<th class="tc5" scope="col">Admin note</th>
					<th class="tcr" scope="col">Actions</th>
				</tr>
			</thead>
			<tbody>
<% if @posts.length == 0 -%>
				<tr><td class="tcl" colspan="6">The supplied IP address could not be found in the database.</td></tr>
<% else -%>
<% for p in @posts -%>
				<tr>
					<td class="tcl"><a href="<%= url_for :controller => 'user', :action => 'view', :id => p.poster_id %>"><%=h p.poster %></a></td>
					<td class="tc2"><a href="mailto:<%= p.poster_email %>"><%= p.poster_email %></a></td>
					<td class="tc3"><%= p.poster_user.get_title %></td>
					<td class="tc4"><%= p.poster_user.num_posts %></td>
					<td class="tc5"><%= p.poster_user.admin_note ? p.poster_user.admin_note : '&nbsp;' %></td>
					<td class="tcr"><a href="<%= url_for :action => 'ip_stats', :id => p.poster_id %>">View IP stats</a> - <a href="<%= url_for :controller => 'search', :action => 'user', :id => p.poster_id %>">Show posts</a></td>
				</tr>
				<tr>
					<td class="tcl"><%=h p.poster %></td>
					<td class="tc2">&nbsp;</td>
					<td class="tc3">Guest</td>
					<td class="tc4">&nbsp;</td>
					<td class="tc5">&nbsp;</td>
					<td class="tcr">&nbsp;</td>
				</tr>
<% end -%>
<% end -%>
			</tbody>
			</table>
		</div>
	</div>
</div>

<div class="linksb">
	<div class="inbox">
		<div><a href="javascript:history.go(-1)">Go back</a></div>
	</div>
</div>

